Bug 39094 - request for new category: parallel
request for new category: parallel
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: portmgr
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-10 12:20 UTC by trevor
Modified: 2002-11-18 10:11 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description trevor freebsd_committer 2002-06-10 12:20:07 UTC
This category, described as "multiprocessor, clustered, or distributed computing" would make it easier for users to find software which can take advantage of this kind of environment.  This type of computing is glamorous:  for instance, the ACME cluster at Purdue (http://acme.ecn.purdue.edu/) was written up on Daemon News (http://daily.daemonnews.org/view_story.php3?story_id=964) and Slashdot.  Were this category approved, it could encourage more use of FreeBSD for this type of work, and lead to further favourable publicity for us.

I have identified sixteen existing ports which would be suitable for inclusion in this category:

1.        ports/devel/kelp
2.        ports/devel/pmake
3.        ports/graphics/pvmpov
4.        ports/lang/mozart
5.        ports/lang/lang/pm3-netobj
6.        ports/lang/sr
7.        ports/math/concorde
8.        ports/math/parmetis
9.        ports/math/scilab
10.       ports/misc/pbs
11.       ports/net/clusterit
12.       ports/net/lam
13.       ports/net/mpich
14.       ports/net/pvm
15.       ports/net/pvm++
16.       ports/science/mpqc

The eight ports in the catch-all devel, misc, and net categories could be repo-copied into parallel/.

The idea for this came from NetBSD.  I discussed it briefly with FreeBSD committer Greg Lewis, and brought it up on the ports and developers lists.  I saw no adverse remarks.

Fix: 

N/A
How-To-Repeat:       N/A
Comment 1 trevor freebsd_committer 2002-06-10 12:23:25 UTC
Responsible Changed
From-To: freebsd-ports->portmgr

asks for change to bsd.port.mk
Comment 2 trevor 2002-06-17 01:34:37 UTC
Another port that belongs in this category is ports/net/generic-nqs .
-- 
Trevor Johnson
Comment 3 Akinori MUSHA freebsd_committer 2002-11-18 10:03:43 UTC
State Changed
From-To: open->closed

Added as a virtual category, thanks. 

The original request was to add it as a real category, but we did not 
find a sufficient reason for it being a real category since most of the 
ports proposed for the category seemed better live in the current primary 
category.  I think we can "upgrade" it to a real category in future if 
needed.  Comments are welcome.